Subject: Re: bug#62958: [PATCH] Set PAGER=cat in comint.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 May 2023 08:08:51 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 08 May 2023 15:38:12 -0400
> 
> >   Pagination is not needed, and gets in the way, when the output of
> >   the program is directed to an Emacs buffer, so in those cases
> >   pagination should be disabled.  To disable pagination, this
> >   variable's value should be a string that names a program, such
> >   as \"cat\", which passes through all of the output without any
> >   filtering or delays.  Comint will then set the PAGER variable
> >   to name that program, when it invokes external programs."
> 
> I think it's worth noting the fact that there are programs which depend
> on pagination for their normal functionality.  How about this short
> additional paragraph added after your text:
> 
> "Disabling pagination means programs will produce their entire output
> immediately.  If only part of the output is useful, this can be
> wasteful.  For some programs, this can be avoided by using commands (for
> example, `vc-print-log') which run the program, limit the output it
> produces, and let the user interactively browse the output inside
> Emacs."

Sorry, I don't understand: why would it matter that a program produces
its output immediately when that output is redirected to an Emacs
buffer?  Whatever the amount of output, the user can always page
through it interactively and conveniently using the normal movement
commands, no?  What am I missing?